import 'dart:io' as io;

import 'option.dart';

class Terminal {
  const Terminal();
  void printPromt(String prompt) {
    io.stdout.writeln(prompt);
  }

  void clearScreen() {
    if (io.Platform.isWindows) {
      io.stdout.write('\x1B[2J\x1B[0f');
    } else {
      io.stdout.write('\x1B[2J\x1B[3J\x1B[H');
    }
  }

  String collectInput() {
    return io.stdin.readLineSync();
  }

  void printOptions(List<Option> options) {
    options.asMap().forEach((key, value) {
      io.stdout.writeln('[$key] - ${value.label}');
    });
    io.stdout.writeln('Enter a choice: \n');
    io.stdout.write('>');
  }
}
